const geoserverUrl = "http://localhost:8080/geoserver"
const gridServiceName = "cxy:modelgrid4326"

const geoserverWMTSUrl = geoserverUrl+"/cxy/gwc/service/wmts"

export const tileUrlTemplate = `http://61.144.79.174:9095/data/3dtiles/%E5%A2%9E%E5%9F%8E%E5%8C%BA100%E5%B9%B3%E6%96%B9%E5%8D%83%E7%B1%B3%E6%A8%A1%E5%9E%8B/{Text}/tileset.json`
export const initConfig = {
  point:[113.804,23.263,20000.0]
}

export const demoWmtsService = [{
  url: geoserverWMTSUrl,
  layerName: "cxy:dom0.2m",
  epsgCode: "EPSG:4326",
  extent:[
    113.7574461874795,
    23.213844014596848,
    113.8554165916731,
    23.317278851278726
  ]
}]

export const gridGeojsonUrl = geoserverUrl+`/cxy/ows?service=WFS&version=1.0.0&request=GetFeature&typeName=${gridServiceName}&maxFeatures=99999&outputFormat=application/json`